unit utestshellexecute;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var
   k, n: integer;

begin
   Memo1.lines.Clear;
   n:= ParamCount;
   Memo1.lines.Add( 'ParamCount: '+IntToStr( n ) );
   for k:= 1 to n do
      Memo1.lines.Add( 'ParamStr('+IntToStr(k)+'): '+ParamStr(k)+';' );

end;

end.
